SelfLinux Internet News Server Leafnode - ein Newsserver unter Linux Abschnitt 3 | SelfLinux-0.13.0

| Leafnode - ein Newsserver unter Linux | Autor Formatierung GFDL

#### 3 Einrichten des Newsreaders

Wenn leafnode richtig konfiguriert wurde und fetchnews die Liste mit Gruppen geholt hat, kann man zum Einrichten des Newsreaders übergehen. Da es unzählige Newsreader gibt, beschränke ich mich hier nur auf die grundlegenden Einstellungen. Für detaillierte Informationen zum selber benutzten Reader empfiehlt sich ein Blick in die dazugehörende Hilfe.

Meist wird der Newsreader unter Einstellungen die Newsserver verwalten. Dort fügt man einen neuen Server hinzu. Ins Feld für die Serveradresse kann man localhost oder 127.0.0.1 eingeben (beide Angaben führen zum gleichen Ergebnis). Als Port sollte man 119 verwenden, da inedt/xinetd darauf auf Verbindungen zu leafnode warten.

Nach dem erfolgreichen Erfassen des Servers muss man die Gruppenliste holen. Diese kommt nun nicht vom Newsserver des Providers, sondern von leafnode (der diese mit fetchnews vom Provider geholt hatte). Da so eine Liste mehrere MB gross sein kann, ist man sehr froh, wenn diese nur einmal übertragen werden muss.

Der Newsreader liest diese Liste ein, und man kann mit dem Abonnieren der Gruppen beginnen. Nun weiss der Reader was wir lesen wollen, allerdings hat leafnode davon noch nichts mitbekommen. Wenn man eine der gerade abonnierten Gruppen öffnet, sieht man einen Beitrag mit Titel "Leafnode placeholder for group <gruppenname>". Nun muss man diesen Beitrag öffnen und findet eine kurze Erklärung über den Sinn dieses Postings. Durch das lesen dieses Postings hat leafnode erfahren, dass wir uns für diese Gruppe interessieren. Beim nächsten Aufruf von fetchnews wird er uns die dazugehörigen Postings holen.

Wenn man sich eine Übersicht über die von leafnode betreuten Gruppen holen will, sollte in den meisten Fällen folgender Befehl genügen:

user@linux ~$ $ ls -l /var/spool/news/interesting.groups/
-rw-rw-r-- 1 news news 0 Dez 27 16:53 de.comp.os.unix.apps.gnome
-rw-rw-r-- 1 news news 0 Dez 27 16:53 de.comp.os.unix.apps.kde
-rw-rw-r-- 1 news news 0 Dez 27 16:53 de.comp.os.unix.apps.misc
-rw-rw-r-- 1 news news 0 Dez 26 17:54 de.comp.os.unix.linux.infos
-rw-rw-r-- 1 news news 0 Dez 26 17:54 de.comp.os.unix.linux.misc
-rw-rw-r-- 1 news news 0 Dez 27 13:24 de.comp.os.unix.linux.moderated

Die darin aufgelisteten Gruppen hat man abonniert, und leafnode kümmert sich darum.